W3C home > Mailing lists > Public > public-qa-dev@w3.org > July 2007

Re: Validator Bundle (Re: validator/misc/bundle/lib/Bundle/W3C Validator.pm,1.9,1.10)

From: Ville Skyttä <ville.skytta@iki.fi>
Date: Mon, 30 Jul 2007 09:51:07 +0300
To: "QA-dev" <public-qa-dev@w3.org>
Message-Id: <200707300951.07785.ville.skytta@iki.fi>

On Monday 30 July 2007, you wrote:
> Hi Ville,
>
> On Jul 27, 2007, at 06:41 , Ville Skytta via cvs-syncmail wrote:
> > Modified Files:
> > 	Validator.pm
> > Log Message:
> > Back down to unversioned XML::LibXML, load_catalog no longer used.
>
> Thanks a lot for all these changes (and thanks for the fixes to the
> httpd conf, with my apologies...)

No problem.

> Are you planning to send in the bundle to CPAN soon?

Yes.  The only tiny problem currently is that the validator 0.8.0 release 
tarball contains the code that requires XML::LibXML >= 1.53, while the code 
in CVS for both validator and the bundle has moved on and no longer has 
version requirements for XML::LibXML.  I don't think it's a big problem 
uploading the bundle without that versioned dependency though; if you agree, 
I'll go ahead and do it.

> Ideally we would do that just after SPO gets pushed to CPAN, which
> would really make the installation of the validator easier, but I'm
> not sure when/if that's planned. Terje, do you know?

Hm, isn't it there already, or is the version there not suitable for 
validator's purposes?  http://search.cpan.org/dist/SGML-Parser-OpenSP/
0.99 is what I'm using locally and shipping in Fedora, and the check script 
has no version in its dependency to SPO (maybe due to the bug referred to in 
below?)...

> Also, see:
> http://sourceforge.net/tracker/index.php?
> func=detail&aid=1694004&group_id=106431&atid=644086

My +1 to 1.00 :)
Received on Monday, 30 July 2007 06:51:21 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Thursday, 19 August 2010 18:12:48 GMT